%define ALD_Ver		1.2.1

Name:         samba

License:      GPL v3
Summary:      Samba SMB client and server
Group:        Applications/System
Version:      3.4.17
Release:      1

#Requires:     cups >= 1.6.1

Source: %{name}-%{version}.tar.xz
Source1: CROSS.sh
Source2: %{name}-%{version}.patch.tar.gz
#Patch0: %{name}-%{version}-cups1.6.patch

%define DestDir		/net/samba
# -----------------------------------------------------
%if %{_target_cpu} == %{_build_cpu}
%define _CROSS 0
%define BUILD_LOCAL_CROSS 0
%else
# rpm --target=x86_64 -ba xxxxx.spec
%define _CROSS 1
%define BUILD_LOCAL_CROSS 1
%endif

%define TO_ARCH %{_target_cpu}

%if %{_target_cpu} == "armv6l"
%define ARM_ARCH armv6zk
%define ARM_FPU  -mfpu=vfp -mfloat-abi=hard
%define TO_ARCH %{ARM_ARCH}
%endif

%if %{_target_cpu} == "armv7l"
%define ARM_ARCH armv7-a
%define ARM_FPU  -mfpu=vfpv3-d16 -mfloat-abi=hard
%define TO_ARCH %{ARM_ARCH}
%endif

%define BUILD_TAR 1
#------------------ CROSS DIR --------------------
%if %{_CROSS}

%if %{_os} == "mingw"
ERROR: target=%{_os}
%define target %{_arch}-%{_vendor}-%{_os}%{__isa_bits}
%else  #win32 || win64
%define target %{_arch}-%{_os}%{_gnu}
%endif

%define crossdir	/cross
%if %{_arch} == "arm"
%define csysdir		%{crossdir}/%{ARM_ARCH}
%else
%define csysdir		%{crossdir}/%{_target_cpu}
%endif
%define csysbindir	%{csysdir}/bin
%define target_  %{target}-

%define __os_install_post %{nil}

%define cross_prefix	%{csysdir}%{_prefix}
%define cross_bindir	%{csysdir}%{_bindir}
%define cross_sbindir	%{csysdir}%{_sbindir}
%define cross_libdir	%{csysdir}%{_libdir}
%define cross_includedir %{csysdir}%{_includedir}
%define cross_datadir	%{csysdir}%{_datadir}
%define cross_infodir	%{csysdir}%{_infodir}
%define cross_mandir	%{csysdir}%{_mandir}
%define cross_defaultdocdir %{csysdir}%{_defaultdocdir}
%define cross_docdir	%{cross_defaultdocdir}/%{name}

%define CrossDestDir	/Cross

%define _srcrpmdir	%{_topdir}/SRPMS/tmp

%else  #_CROSS

%define csysbindir	%{_prefix}/bin
%define CrossDestDir	%{nil}
%define _srcrpmdir	%{_topdir}/SRPMS/%{ALD_Ver}

%define target %{_build}
%define target_  %{nil}

%endif # !_CROSS

%define docdir %{_defaultdocdir}/%{name}
# ------------------- description ------------------------------------
%description
This is the release version of Samba, the free SMB and CIFS client and
server for UNIX and other operating systems. Samba is maintained by
the Samba Team, who support the original author, Andrew Tridgell.
#-------------------------------
%package server
Summary:      Samba SMB server
Group:        Applications/System
Requires: samba = %{version}
%description server
Samba SMB server
#-------------------------------
%package mount
Summary:      Samba SMB mount.cifs
Group:        Applications/System
%description mount
Samba SMB mount.cifs
#-------------------------------
%package doc
Summary:      Doc for Samba
Group:        Documentation
%description doc
html Doc for Samba
#-------------------------------
%package doc-using
Summary:      Using Samba, 2nd Edition  html Doc
Group:        Documentation
%description doc-using
Using Samba, 2nd Edition  html Doc
#-------------------------------
%package doc-pdf
Summary:      pdf Doc for Samba
Group:        Documentation
%description doc-pdf
pdf Doc for Samba
#-------------------------------
%package devel
Summary:      Libraries for the C compiler
Group:        Development/Libraries
%description devel
These libraries are needed to compile C code.
#-------------------------------
%package staticlib
Summary:      %{name} static Libraries
Group:        Development/Libraries
%description staticlib
%{name} static Libraries
#-------------------------------
%package locale
Summary:      locale
Group:        Applications/Languages
%description locale
Locale
# --------- ldb database
%package ldb
Summary: The Samba  ldb database tools
Group: Applications/System
Requires: samba = %{version}
%description ldb
The Samba  ldb database tools
# --------- swat
%package swat
Summary: The Samba SMB server configuration program.
Group: Applications/System
Requires: samba = %{version}
Requires: samba-doc
Requires: samba-doc-using
%description swat
The samba-swat package includes the new SWAT (Samba Web Administration
Tool), for remotely managing Samba's smb.conf file using your favorite
Web browser.
# --------- findsmb
%package findsmb
Summary:      findsmb
Group:        Applications/System
%description findsmb
findsmb - list info about machines that respond to SMB
          name queries on a subnet
# --------- libnetapi
%package libnetapi
Summary:      Samba netapi Library
Group:        Applications/System
Requires: samba = %{version}
%description libnetapi
This package includes the netapi library.

%package libnetapi-devel
Summary:      Libraries for the C compiler
Group:        Development/Libraries
%description libnetapi-devel
These libraries are needed to compile C code.
# --------- libsmbsharemodes
%package libsmbsharemodes
Summary:      Samba smbsharemodes Library
Group:        Applications/System
Requires: samba = %{version}
%description libsmbsharemodes
This package includes the smbsharemodes library.

%package libsmbsharemodes-devel
Summary:      Libraries for the C compiler
Group:        Development/Libraries
%description libsmbsharemodes-devel
These libraries are needed to compile C code.

%package libtalloc-devel
Summary:      Libraries for the C compiler
Group:        Development/Libraries
%description libtalloc-devel
These libraries are needed to compile C code.
# --------- libtdb
%package libtdb
Summary:      Samba tdb Library
Group:        Applications/System
Requires: samba = %{version}
%description libtdb
This package includes the tdb library.

%package libtdb-devel
Summary:      Libraries for the C compiler
Group:        Development/Libraries
%description libtdb-devel
These libraries are needed to compile C code.

%if 0
# --------- libnss_winbind libnss_wins
%package libnss_win
Summary:      Samba nss_winbind and nss_wins Library
Group:        Applications/System
Requires: samba = %{version}
%description libnss_win
This package includes the nss_winbind and nss_wins library.

%package libnss_win-devel
Summary:      Libraries for the C compiler
Group:        Development/Libraries
%description libnss_win-devel
These libraries are needed to compile C code.
%endif

# --------- winbind
%package winbind
Summary: Winbind Daemon and Tool
Group: Applications/System
Requires: samba = %{version}

%description winbind
This is the winbind-daemon and the wbinfo-tool.

# --------- tools
%package tools
Summary:      Tools Samba
Group:        Applications/System
Requires: samba = %{version}

%description tools
Tools Samba
eventlogadm net pdbedit profiles rpcclient smbcacls smbcontrol smbcquotas
smbspool smbtar tdbbackup tdbdump tdbtool testparm
#-------------------------------
%package %{TO_ARCH}
Summary:      %{name} Cross-%{TO_ARCH} Libraries
Group:        Development/Libraries
%description %{TO_ARCH}
%{name} Cross-%{TO_ARCH} Libraries
# --------------------------------------
%package %{TO_ARCH}-staticlib
Summary:      %{name} Cross-%{TO_ARCH} static Libraries
Group:        Development/Libraries
%description %{TO_ARCH}-staticlib
%{name} Cross-%{TO_ARCH} static Libraries

# ------------------- setup ------------------------------------------
%Prep
%setup -q -n %{name}-%{version}
#%patch0 -b .org -p0
tar -xzf %SOURCE2
patch -b -z .orig -p0<samba.patch
#patch0 -b .orig -p0

# ------------------- Build ------------------------------------------
%Build
%if %{_CROSS}
PATH=%{csysbindir}:$PATH:/opt/perl/bin
GCC_NoHostPath=d
export PATH GCC_NoHostPath
%else
export PATH=$PATH:/opt/perl/bin
%endif

%if %{_arch} == "i386"
OPTFLAGS="-O2 -march=i486 -mpreferred-stack-boundary=2 -falign-functions=1 -falign-jumps=1 -falign-loops=1 -fomit-frame-pointer"
%endif
%if %{_arch} == "x86_64"
OPTFLAGS="-O2 -fno-asynchronous-unwind-tables"
%endif
%if %{_arch} == "arm"
OPTFLAGS="-O2 -march=%{ARM_ARCH} %{ARM_FPU} -munaligned-access"
%endif

CFLAGS="$OPTFLAGS -ffunction-sections -fdata-sections -std=gnu99"
GCC_VER_STR=`%{target_}gcc -dumpversion`
LDFLAGS=`case $GCC_VER_STR in \
 4.[56789].*) echo -static-libgcc ;; \
 esac`
LDFLAGS="$LDFLAGS -Wl,--gc-sections"

%if %{_CROSS}
LD_LIBRARY_PATH="%{cross_libdir}:%{csysdir}/%{lib}"
export LD_LIBRARY_PATH

export ac_cv_func_memcmp_working=yes
export fu_cv_sys_stat_statvfs64=yes
export libreplace_cv_HAVE_C99_VSNPRINTF=yes
export libreplace_cv_HAVE_IFACE_GETIFADDRS=yes
export libreplace_cv_HAVE_MMAP=yes
export libreplace_cv_HAVE_SECURE_MKSTEMP=yes
export libreplace_cv_READDIR_NEEDED=no
export libreplace_cv_REPLACE_INET_NTOA=no
export libreplace_cv_STRPTIME_OK=yes
export samba_cv_CC_NEGATIVE_ENUM_VALUES=yes
export samba_cv_HAVE_BROKEN_FCNTL64_LOCKS=no
export samba_cv_HAVE_BROKEN_GETGROUPS=no
export samba_cv_HAVE_BROKEN_READDIR_NAME=no
export samba_cv_HAVE_BROKEN_READLINK=no
export samba_cv_HAVE_DEV64_T=no
export samba_cv_HAVE_DEVICE_MAJOR_FN=yes
export samba_cv_HAVE_DEVICE_MINOR_FN=yes
export samba_cv_HAVE_EXPLICIT_LARGEFILE_SUPPORT=yes
export samba_cv_HAVE_FCNTL_LOCK=yes
export samba_cv_HAVE_FTRUNCATE_EXTEND=yes
export samba_cv_HAVE_INO64_T=no
export samba_cv_HAVE_KERNEL_CHANGE_NOTIFY=yes
export samba_cv_HAVE_KERNEL_OPLOCKS_LINUX=yes
export samba_cv_HAVE_KERNEL_SHARE_MODES=yes
export samba_cv_HAVE_MAKEDEV=yes
export samba_cv_HAVE_NATIVE_ICONV=no
export samba_cv_HAVE_OFF64_T=no
export samba_cv_HAVE_STRUCT_FLOCK64=yes
export samba_cv_HAVE_TRUNCATED_SALT=no
%ifarch %{arm}
export samba_cv_HAVE_UNSIGNED_CHAR=yes
%endif
%ifarch %{ix86}
export samba_cv_HAVE_UNSIGNED_CHAR=no
%endif
%ifarch x86_64
export samba_cv_HAVE_UNSIGNED_CHAR=no
%endif
export samba_cv_REALPATH_TAKES_NULL=yes
export samba_cv_SIZEOF_DEV_T=yes
export samba_cv_SIZEOF_INO_T=yes
export samba_cv_SIZEOF_OFF_T=yes
export samba_cv_SIZEOF_TIME_T=no
export samba_cv_USE_SETREUID=yes
export samba_cv_have_longlong=yes
export samba_cv_have_setresgid=yes
export samba_cv_have_setresuid=yes
export vfsfileid_cv_statfs=yes
%endif

cd source3

%configure \
	--build=%{_build} \
%if %{_CROSS}
	--host=%{target} \
%endif
	--prefix=%{_prefix} \
	--localstatedir=/var \
	--docdir=%{docdir} \
	--with-configdir=%{_sysconfdir}/samba \
	--with-modulesdir=%{_libdir}/samba \
	--with-pammodulesdir=/%{_lib}/security \
	--with-lockdir=/var/lib/samba \
	--with-logfilebase=/var/log/samba \
	--with-mandir=%{_mandir} \
	--with-piddir=/var/run \
	--with-privatedir=%{_sysconfdir}/samba \
	--with-swatdir=%{_datadir}/swat \
	--enable-cups \
	--disable-pie \
	--with-acl-support \
	--with-cifsmount \
	--without-cifsupcall \
	--with-syslog \
	--with-quotas \
	--without-ldap \
	--without-ads \
	--without-utmp \
	--with-libsmbclient \
	--with-included-popt \
	--with-included-iniparser \
	&>FConfigure_log.txt

#	--with-automount 

#	--with-dnsupdate 
#	--without-libtalloc 
#	--without-libtdb 
#	--with-libsmbsharemodes 
#	--without-winbind 
#	--with-shared-modules=idmap_rid,idmap_ad 
#	--with-dnsupdate 
#	--with-ads 
#        --with-fhs 
#	--with-pam_smbpass 
#	--with-pam 

echo "========================= make showlayout ==========================" >FMake_log.txt
make showlayout >>FMake_log.txt

%if 0
echo "========================= make proto ===============================" >>FMake_log.txt
make CFLAGS="$OPTFLAGS -D_GNU_SOURCE"  proto >>FMake_log.txt

echo "========================= make pch =================================" >>FMake_log.txt
make CFLAGS="$OPTFLAGS -D_GNU_SOURCE" pch >>FMake_log.txt
%endif

echo "========================= make all modules =========================" >>FMake_log.txt
make all modules >>FMake_log.txt 2>>FMake_log.txt
cd ..

# ------------------- Install ----------------------------------------
%Install
%if %{_CROSS}
PATH=%{csysbindir}:$PATH:/opt/perl/bin
GCC_NoHostPath=d
export PATH GCC_NoHostPath
%else
export PATH=$PATH:/opt/perl/bin
%endif

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_lib}
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT%{docdir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d
mkdir -p $RPM_BUILD_ROOT%{_var}/log/samba
mkdir -p %{_srcrpmdir}


cd source3
make DESTDIR="$RPM_BUILD_ROOT" install &>FInstall_log.txt
cd ..
cp -a examples/smb.conf.default $RPM_BUILD_ROOT/etc/samba

pushd source3/bin/
mv libaddns.a libnetapi.a libsmbclient.a libsmbsharemodes.a ${RPM_BUILD_ROOT}/%{_libdir}/
popd

pushd $RPM_BUILD_ROOT%{docdir}
  ln -s ../../swat/help help
  ln -s ../../swat/using_samba using_samba
popd
cp -a docs/*.pdf $RPM_BUILD_ROOT%{docdir}/
cp -a COPYING README $RPM_BUILD_ROOT%{docdir}/
cp -ar patches/defaults $RPM_BUILD_ROOT/etc/

echo 127.0.0.1 localhost > $RPM_BUILD_ROOT%{_sysconfdir}/defaults/lmhosts

pushd packaging/RHEL/setup
cp -a swat $RPM_BUILD_ROOT/etc/xinetd.d/
cp -a smb.init $RPM_BUILD_ROOT/etc/defaults/
cp -a winbind.init $RPM_BUILD_ROOT/etc/defaults/
cp -a samba.log $RPM_BUILD_ROOT/etc/defaults/samba-logrotate.d
cp -a smbusers $RPM_BUILD_ROOT/etc/defaults/
cp -a smbprint $RPM_BUILD_ROOT%{_bindir}/
popd

mv $RPM_BUILD_ROOT/usr/sbin/mount.cifs $RPM_BUILD_ROOT/sbin/mount.cifs
mv $RPM_BUILD_ROOT/usr/sbin/umount.cifs $RPM_BUILD_ROOT/sbin/umount.cifs

rm -f $RPM_BUILD_ROOT%{_mandir}/man1/log2pcap.1
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/vfstest.1

%if %{_CROSS}
TARGET_PRFIX=%{_prefix}
TARGET_CROSS_PRFIX=%{csysdir}
TARGET_NAME=%{target}
MKCROSSDIR=%{BUILD_LOCAL_CROSS}
export TARGET_PRFIX TARGET_CROSS_PRFIX TARGET_NAME MKCROSSDIR
%SOURCE1
%if %{BUILD_LOCAL_CROSS}
rm -r $RPM_BUILD_ROOT%{csysdir}/etc
rm -r $RPM_BUILD_ROOT%{csysdir}/sbin
rm -r $RPM_BUILD_ROOT%{csysdir}/var
rm -r $RPM_BUILD_ROOT%{cross_bindir}
rm -r $RPM_BUILD_ROOT%{cross_sbindir}
rm -r $RPM_BUILD_ROOT%{cross_libdir}/samba
#rm -r $RPM_BUILD_ROOT%{cross_libdir}/samba/*.dat
rm $RPM_BUILD_ROOT%{cross_includedir}/talloc.h
rm -r $RPM_BUILD_ROOT%{cross_datadir}/locale
rm -r $RPM_BUILD_ROOT%{cross_datadir}/swat
rm -r $RPM_BUILD_ROOT%{cross_mandir}
rm -r $RPM_BUILD_ROOT%{cross_docdir}/*.pdf
rm -r $RPM_BUILD_ROOT%{cross_docdir}/help
rm -r $RPM_BUILD_ROOT%{cross_docdir}/using_samba
%endif #BUILD_LOCAL_CROSS
%endif #_CROSS

# ------------------- Clean ------------------------------------------
%Clean
DE=%{version}-%{release}.%{TO_ARCH}.rpm
DD=%{_rpmdir}/%{TO_ARCH}/%{ALD_Ver}%{DestDir}
DEC=%{version}-%{release}.%{_build_cpu}.rpm
DDC=%{_rpmdir}/%{_build_cpu}/%{ALD_Ver}%{CrossDestDir}/%{TO_ARCH}%{DestDir}

pushd %{_rpmdir}/%{_target_cpu}
  SE=%{version}-%{release}.%{_target_cpu}.rpm
  mkdir -p $DD
  mv %{name}-$SE $DD/%{name}-$DE
  mv %{name}-server-$SE $DD/%{name}-server-$DE
  mv %{name}-mount-$SE $DD/%{name}-mount-$DE
  mv %{name}-doc-$SE $DD/%{name}-doc-$DE
  mv %{name}-doc-using-$SE $DD/%{name}-doc-using-$DE
  mv %{name}-doc-pdf-$SE $DD/%{name}-doc-pdf-$DE
  mv %{name}-devel-$SE $DD/%{name}-devel-$DE
  mv %{name}-staticlib-$SE $DD/%{name}-staticlib-$DE
  mv %{name}-locale-$SE $DD/%{name}-locale-$DE

  mv %{name}-swat-$SE $DD/%{name}-swat-$DE
  mv %{name}-tools-$SE $DD/%{name}-tools-$DE
  mv %{name}-findsmb-$SE $DD/%{name}-findsmb-$DE
  mv %{name}-winbind-$SE $DD/%{name}-winbind-$DE
  mv %{name}-ldb-$SE $DD/%{name}-ldb-$DE
  mv %{name}-libnetapi-$SE $DD/%{name}-libnetapi-$DE
  mv %{name}-libnetapi-devel-$SE $DD/%{name}-libnetapi-devel-$DE
  mv %{name}-libsmbsharemodes-$SE $DD/%{name}-libsmbsharemodes-$DE
  mv %{name}-libsmbsharemodes-devel-$SE $DD/%{name}-libsmbsharemodes-devel-$DE
  mv %{name}-libtalloc-devel-$SE $DD/%{name}-libtalloc-devel-$DE
  mv %{name}-libtdb-$SE $DD/%{name}-libtdb-$DE
  mv %{name}-libtdb-devel-$SE $DD/%{name}-libtdb-devel-$DE
%if %{BUILD_LOCAL_CROSS}
  mkdir -p $DDC
  mv %{name}-%{TO_ARCH}-$SE $DDC/%{name}-%{TO_ARCH}-$DEC
  mv %{name}-%{TO_ARCH}-staticlib-$SE $DDC/%{name}-%{TO_ARCH}-staticlib-$DEC
%endif #BUILD_LOCAL_CROSS
popd

# --------------- build *.tgz ------------------------
%if %{BUILD_TAR}
pushd $RPM_BUILD_ROOT
  TMP_TO=$DD/tar
  mkdir -p $TMP_TO
  tmp=%{name}-%{version}-%{release}.%{TO_ARCH}
  mkdir -p $tmp
  cp -r etc sbin usr var $tmp/
  tar -cjf $tmp.tar.bz2 $tmp
  mv $tmp.tar.bz2 $TMP_TO
  rm -r $tmp
%if %{BUILD_LOCAL_CROSS}
  TMP_TO=$DDC/tar
  mkdir -p $TMP_TO
  tmp=%{name}-%{TO_ARCH}-%{version}-%{release}.%{_build_cpu}
  mkdir -p $tmp
  cp -r cross $tmp/
  tar -cjf $tmp.tar.bz2 $tmp
  mv $tmp.tar.bz2 $TMP_TO
  rm -r $tmp
%endif
popd
%endif  #BUILD_TAR

%post
if test ! -e /etc/samba/smb.conf; then
  cp -a /etc/samba/smb.conf.default /etc/samba/smb.conf
fi

%post server
if test ! -e /etc/samba/smb.conf; then
  cp -a /etc/samba/smb.conf.default /etc/samba/smb.conf
fi
if test ! -e /etc/samba/lmhosts; then
  cp -a /etc/defaults/lmhosts /etc/samba/
fi
if test ! -e /etc/samba/samba-logrotate.d; then
  cp -a /etc/defaults/samba-logrotate.d /etc/samba/
fi
if test ! -e /etc/samba/smbusers; then
  cp -a /etc/defaults/smbusers /etc/samba/
fi
if test -d /etc/init.d -a ! -e /etc/init.d/smb; then
  cp -a /etc/defaults/smb /etc/init.d/
fi

%post swat
# Add swat entry to /etc/services if not already there.
if [ ! "`grep ^\s**swat /etc/services`" ]; then
        echo 'swat        901/tcp     # Add swat service used via inetd' >> /etc/services
fi

# ------------------- Files ------------------------------------------
%Files
%{_sysconfdir}/samba
%{_bindir}/nmblookup
%{_bindir}/smbclient
%{_bindir}/smbget
%{_bindir}/smbprint
%{_bindir}/smbtree
%{_bindir}/tdbdump
%{_libdir}/samba/auth
%{_libdir}/samba/charset
%{_libdir}/samba/pdb
%{_libdir}/samba/rpc
%{_libdir}/samba/vfs
%{_libdir}/samba/*.msg
%{_libdir}/samba/*.dat
%{_libdir}/libsmbs.so.%{version}
%{_libdir}/libsmbclient.so.0
%{_libdir}/libwbclient.so.*

%{docdir}/COPYING
%{docdir}/README

%{_mandir}/man1/nmblookup.1.gz
%{_mandir}/man1/smbclient.1.gz
%{_mandir}/man1/smbget.1.gz
%{_mandir}/man1/smbtree.1.gz
%{_mandir}/man5/lmhosts.5.gz
%{_mandir}/man5/smb.conf.5.gz
%{_mandir}/man8/tdbdump.8.gz

/var

%files server
%{_sysconfdir}/defaults
%{_bindir}/smbstatus
%{_bindir}/smbpasswd
%{_sbindir}/nmbd
%{_sbindir}/smbd
%{_mandir}/man1/smbstatus.1.gz
%{_mandir}/man7/samba.7.gz
%{_mandir}/man8/smbpasswd.8.gz
%{_mandir}/man8/nmbd.8.gz
%{_mandir}/man8/smbd.8.gz

%files mount
/sbin
#{_sbindir}/mount.cifs
#{_sbindir}/umount.cifs
%{_mandir}/man8/mount.cifs.8.gz
%{_mandir}/man8/umount.cifs.8.gz

%files doc
%{docdir}/help
%{_datadir}/swat/help

%files doc-using
%{docdir}/using_samba
%{_datadir}/swat/using_samba

%files doc-pdf
%{docdir}/*.pdf

%files devel
%{_includedir}/libsmbclient.h
%{_libdir}/libsmbs.so
%{_libdir}/libsmbclient.so
%{_includedir}/wbclient.h
%{_libdir}/libwbclient.so

%files staticlib
%{_libdir}/*.a

%files locale
%{_datadir}/locale

%files swat
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/xinetd.d/swat
%{_sbindir}/swat
%{_datadir}/swat/include
%{_datadir}/swat/images
%{_datadir}/swat/lang
%{_mandir}/man8/swat.8*


%files tools
%{_bindir}/eventlogadm
%{_bindir}/ldbrename
%{_bindir}/net
%{_bindir}/pdbedit
%{_bindir}/profiles
%{_bindir}/rpcclient
%{_bindir}/sharesec
%{_bindir}/smbcacls
%{_bindir}/smbcontrol
%{_bindir}/smbcquotas
%{_bindir}/smbspool
%{_bindir}/smbtar
%{_bindir}/tdbbackup
%{_bindir}/tdbtool
%{_bindir}/testparm

%{_mandir}/man1/ldbrename.1.gz
%{_mandir}/man1/profiles.1.gz
%{_mandir}/man1/rpcclient.1.gz
%{_mandir}/man1/sharesec.1.gz
%{_mandir}/man1/smbcacls.1.gz
%{_mandir}/man1/smbcontrol.1.gz
%{_mandir}/man1/smbcquotas.1.gz
%{_mandir}/man1/smbtar.1.gz
%{_mandir}/man1/testparm.1.gz
%{_mandir}/man5/smbgetrc.5.gz
%{_mandir}/man5/smbpasswd.5.gz
%{_mandir}/man7/libsmbclient.7.gz
%{_mandir}/man7/winbind_krb5_locator.7.gz
%{_mandir}/man8/eventlogadm.8.gz
%{_mandir}/man8/net.8.gz
%{_mandir}/man8/pdbedit.8.gz
%{_mandir}/man8/smbspool.8.gz
%{_mandir}/man8/tdbbackup.8.gz
%{_mandir}/man8/tdbtool.8.gz
%{_mandir}/man8/vfs_*.8.gz

%files findsmb
%{_bindir}/findsmb
%{_mandir}/man1/findsmb.1.gz

%files winbind
%{_bindir}/ntlm_auth
%{_bindir}/wbinfo
%{_sbindir}/winbindd
%{_libdir}/samba/idmap
%{_libdir}/samba/nss_info
%{_mandir}/man1/ntlm_auth.1.gz
%{_mandir}/man1/wbinfo.1.gz
%{_mandir}/man8/pam_winbind.8.gz
%{_mandir}/man8/idmap_*.8.gz
%{_mandir}/man8/winbindd.8.gz

%files ldb
%{_bindir}/ldbadd
%{_bindir}/ldbdel
%{_bindir}/ldbedit
%{_bindir}/ldbmodify
%{_bindir}/ldbsearch
%{_mandir}/man1/ldbadd.1.gz
%{_mandir}/man1/ldbdel.1.gz
%{_mandir}/man1/ldbedit.1.gz
%{_mandir}/man1/ldbmodify.1.gz
%{_mandir}/man1/ldbsearch.1.gz


%files libnetapi
%{_libdir}/libnetapi.so.*
%files libnetapi-devel
%{_includedir}/netapi.h
%{_libdir}/libnetapi.so

%files libsmbsharemodes
%{_libdir}/libsmbsharemodes.so.*
%files libsmbsharemodes-devel
%{_includedir}/smb_share_modes.h
%{_libdir}/libsmbsharemodes.so

%files libtalloc-devel
%{_includedir}/talloc.h

%files libtdb
%{_libdir}/libtdb.so.*
%files libtdb-devel
%{_includedir}/tdb.h
%{_libdir}/libtdb.so

%if 0
%files libnss_win
/lib/libnss_winbind.so.*
/lib/libnss_wins.so.*
%files libnss_win-devel
%{_libdir}/libnss_winbind.so
%{_libdir}/libnss_wins.so
%endif

# ------------------- Cross Files ------------------------------------
%if %{BUILD_LOCAL_CROSS}

%Files %{TO_ARCH}
%{cross_includedir}
%{cross_libdir}/*.so.*
%{cross_libdir}/*.so
#{cross_libdir}/samba/auth
#{cross_libdir}/samba/charset
#{cross_libdir}/samba/vfs
%{cross_docdir}

%Files %{TO_ARCH}-staticlib
%{cross_libdir}/*.a

%endif #!BUILD_LOCAL_CROSS
